/**
 * [CommandError] wraps an occurring error together with the argument that was
 * passed when the command was called.
 * This sort of objects are emitted on the `.thrownExceptions` ValueListenable
 * of the Command
 */
declare class CommandError<TParam = void> {
    readonly param: TParam | undefined;
    readonly error: Error | undefined;
    readonly name?: string | undefined;
    constructor(param: TParam | undefined, error: Error | undefined, name?: string | undefined);
    equals(other: CommandError<TParam>): boolean;
    toString(): string;
}

export { CommandError };
