class CommandResult {
  constructor(param, data, error, isExecuting) {
    this.param = param;
    this.data = data;
    this.error = error;
    this.isExecuting = isExecuting;
  }
  static data(param, result) {
    return new CommandResult(param, result, void 0, false);
  }
  static error(param, error) {
    return new CommandResult(param, void 0, error, false);
  }
  static loading(param) {
    return new CommandResult(
      param,
      void 0,
      void 0,
      true
    );
  }
  static blank() {
    return new CommandResult(
      void 0,
      void 0,
      void 0,
      false
    );
  }
  get hasData() {
    return this.data !== void 0;
  }
  get hasError() {
    return this.error !== void 0;
  }
  equals(other) {
    return this.param === other.param && this.data === other.data && this.error === other.error && this.isExecuting === other.isExecuting;
  }
  toString() {
    return `ParamData ${this.param} - Data ${this.data} - HasError - ${this.hasError} - IsExecuting - ${this.isExecuting}`;
  }
}
export {
  CommandResult
};
